在Ubuntu中如何安装Mapnik工具包以便开发Gis应用程

页面导航:首页 > 操作系统 > Ubuntu/Debian > 在Ubuntu中如何安装Mapnik工具包以便开发Gis应用程

在Ubuntu中如何安装Mapnik工具包以便开发Gis应用程

来源: 作者: 时间:2015-12-04 17:14 【

开发Gis应用程序的需要,要在Ubuntu系统中安装Mapnik工具包,那么要如何安装Mapnik工具包呢?下面详细的为大家介绍下
开发Gis应用程序的需要,要在Ubuntu系统中安装Mapnik工具包,那么要如何安装Mapnik工具包呢?下面详细的为大家介绍下

  Ubuntu系统操作中,因为开发Gis应用程序的需要,要在Ubuntu系统中安装Mapnik工具包,那么要如何安装Mapnik工具包呢?下面小编就给大家介绍下Ubuntu安装Mapnik工具包的步骤,感兴趣的朋友可以来了解下。

 如何在Ubuntu中安装Mapnik工具包

  卸载旧的:

  sudo apt-get purge libmapnik* mapnik-utils python-mapnik

  设置:

  sudo apt-get install /

  libboost-filesystem-dev /

  libboost-program-options-dev /

  libboost-python-dev libboost-regex-dev /

  libboost-system-dev libboost-thread-dev /

  # get a build environment going.。。

  sudo apt-get install /

  libicu-dev /

  python-dev libxml2 libxml2-dev /

  libfreetype6 libfreetype6-dev /

  libjpeg-dev /

  libpng-dev /

  libproj-dev /

  libtiff-dev /

  libcairo2 libcairo2-dev python-cairo python-cairo-dev /

  libcairomm-1.0-1 libcairomm-1.0-dev /

  ttf-unifont ttf-dejavu ttf-dejavu-core ttf-dejavu-extra /

  git build-essential python-nose /

  libgdal1-dev python-gdal /

  postgresql-9.3 postgresql-server-dev-9.3 postgresql-contrib-9.3 postgresql-9.3-postgis-2.1 /

  libsqlite3-dev

  上面的需要注意:由于用的是ubuntu 14.04的,所以,postgresql相关的版本变成9.3

  的了。

  配置、编译链接、安装:

  # For the development branch:

  git clone https://github.com/mapnik/mapnik mapnik-2.3.x -b 2.3.x

  cd mapnik-2.3.x

  。/configure && make && sudo make install

  其中make的过程很久,要40分钟左右。。。。

  之前遇到了ternal compiler error :killed (program cc1plus)的错误

  网上查了以后,有人说是内存不够,我的内存当时配置是512M,改为了2g。

  再运行make,结果出错:

  vitrual memory exhausted cannot allocate memory

  看到这个错误,多少还有点感觉,内存不够可以加。不过我没有再加,而是再次运行make,然后make一路执行正常。剩下的make install也没有问题。

  敲入指令看有没有安装成功:

  mapnik-config -v

  输出了我的版本号:2.3.0-pre

  上面就是Ubuntu安装Mapnik工具包的方法介绍了,在安装的时候要现将旧的卸载,安装完后可使用mapnik-config -v指令检测是否安装成功。

Tags:

文章评论

最 近 更 新
热 点 排 行
Js与CSS工具
代码转换工具

<